Your Cart
Fastest and most convenient way to contact us is via email at info@itworkup.co.za
All emails will be replied to multiple times within 24 hours.
Alternatively, you can visit our offices.
Thank you for your continued support!
USB Type-C Ladekabel 5 V fr Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie - – photo 1
DELOCK

USB Type-C Ladekabel 5 V fr Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie -

R712
incl. VAT: R819
  • Stock: Backordered - delivers in 10-15 days
  • Brand: DELOCK
  • Model: 91798
  • Weight: 0.03 kg
  • EAN: 4043619917983
  • Product code: 1650033
Backordered goods Delivery in 10–15 working days

Available Options

R712 incl. VAT: R819
SavePDF
Product information is being updated. We are completing the description and specifications of this product, so some details may still be missing.

Description

DeLOCK 91798. Kabellänge: 1,2 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 5 V, Eingangsstrom: 1 A

Price History

Price History

Current price712 ZAR
74871267710-3010-3111-0111-0311-0411-05
Regular price